<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.14
Name: Medicatiegebruiklijstquery
Description: Opvragen medicatiegebruik lijst 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.20.77.10.14-2013-12-21T000000">
   <title>Medicatiegebruiklijstquery</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.14
Context: /
Item: (MedicationStatementListQuery)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.14
Context: /hl7:PORX_IN040050NL
Item: (MedicationStatementListQuery)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.14
Context: /hl7:PORX_IN040050NL/hl7:ControlActProcess
Item: (MedicationStatementListQuery)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.14
Context: /hl7:PORX_IN040050NL/hl7:ControlActProcess/hl7:queryByParameter
Item: (MedicationStatementListQuery)
-->

   <rule context="/hl7:PORX_IN040050NL/hl7:ControlActProcess/hl7:queryByParameter"
         id="tmp-r-5abf0ba8-d456-44ab-9ce3-8fcb7a04694c">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.14-2013-12-21T000000.html"
              test="count(hl7:patientID)&gt;=1 and not(hl7:patientID/@nullFlavor)">(MedicationStatementListQuery): element hl7:patientID is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.14-2013-12-21T000000.html"
              test="count(hl7:patientID)&lt;=1">(MedicationStatementListQuery): element hl7:patientID komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.14-2013-12-21T000000.html"
              test="count(hl7:effectiveTimeInterval)&lt;=1">(MedicationStatementListQuery): element hl7:effectiveTimeInterval komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.14
Context: /hl7:PORX_IN040050NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID
Item: (MedicationStatementListQuery)
-->

   <rule context="/hl7:PORX_IN040050NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID"
         id="tmp-r-ce7c23c3-d65e-4cd7-b0ab-1b2da070db55">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.14-2013-12-21T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(MedicationStatementListQuery): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.14-2013-12-21T000000.html"
              test="count(hl7:value)&lt;=1">(MedicationStatementListQuery): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.14-2013-12-21T000000.html"
              test="count(hl7:semanticsText)=0">(MedicationStatementListQuery): element hl7:semanticsText MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.14
Context: /hl7:PORX_IN040050NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID/hl7:value
Item: (MedicationStatementListQuery)
-->

   <rule context="/hl7:PORX_IN040050NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID/hl7:value"
         id="tmp-r-44f87b47-c819-4876-a708-8995b0c29d99">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.14-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementListQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.14
Context: /hl7:PORX_IN040050NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID/hl7:semanticsText
Item: (MedicationStatementListQuery)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.14
Context: /hl7:PORX_IN040050NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:effectiveTimeInterval
Item: (MedicationStatementListQuery)
-->

   <rule context="/hl7:PORX_IN040050NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:effectiveTimeInterval"
         id="tmp-r-7b9d2902-5e16-42b1-b797-fc1ec96436c0">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.14-2013-12-21T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(MedicationStatementListQuery): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.14-2013-12-21T000000.html"
              test="count(hl7:value)&lt;=1">(MedicationStatementListQuery): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.14-2013-12-21T000000.html"
              test="count(hl7:semanticsText)=0">(MedicationStatementListQuery): element hl7:semanticsText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.14-2013-12-21T000000.html"
              test="count(hl7:low)&lt;=1">(MedicationStatementListQuery): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.14-2013-12-21T000000.html"
              test="count(hl7:high)&lt;=1">(MedicationStatementListQuery): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.14
Context: /hl7:PORX_IN040050NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:effectiveTimeInterval/hl7:value
Item: (MedicationStatementListQuery)
-->

   <rule context="/hl7:PORX_IN040050NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:effectiveTimeInterval/hl7:value"
         id="tmp-r-a1ab4b16-2a70-4eb5-bce4-701fe6957ea8">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.14-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementListQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.14
Context: /hl7:PORX_IN040050NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:effectiveTimeInterval/hl7:semanticsText
Item: (MedicationStatementListQuery)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.14
Context: /hl7:PORX_IN040050NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:effectiveTimeInterval/hl7:low
Item: (MedicationStatementListQuery)
-->

   <rule context="/hl7:PORX_IN040050NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:effectiveTimeInterval/hl7:low"
         id="tmp-r-84054d63-5891-496d-9d72-2c76e21c0b6a">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.14-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementListQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.14
Context: /hl7:PORX_IN040050NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:effectiveTimeInterval/hl7:high
Item: (MedicationStatementListQuery)
-->

   <rule context="/hl7:PORX_IN040050NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:effectiveTimeInterval/hl7:high"
         id="tmp-r-9b20d9c9-1851-4065-9ef5-213b82849099">
      <assert role="error"
              see="http://decor.nictiz.nl/medicatieproces/mp-html-20141101T114522/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.14-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatementListQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
